Subject: Re: [ANNOUNCEMENT] CALL FOR TESTING: Cygwin 1.7.10
From: Dima Pasechnik <[email-masked]>
To: [email-masked]
Cc: Ken Brown <[email-masked]>
Date: Thu, 8 Dec 2011 01:07:07 +0800
List-Id: <cygwin.cygwin.com>

On 7 December 2011 21:03, Ken Brown <[email-masked]> wrote:
> On 12/6/2011 10:22 PM, Christopher Faylor wrote:
>>
>> On Tue, Dec 06, 2011 at 09:51:32PM -0500, Ken Brown wrote:
>>>
>>> On 12/6/2011 3:02 PM, Corinna Vinschen wrote:
>>>>
>>>> On Dec  6 13:28, Ken Brown wrote:
>>>>>
>>>>> On 12/6/2011 12:57 PM, Corinna Vinschen wrote:
>>>>>>
>>>>>> On Dec  6 12:37, Ken Brown wrote:
>>>>>>>
>>>>>>> On 12/6/2011 4:37 AM, Corinna Vinschen wrote:
>>>>>>>>
>>>>>>>> A lot of changes and fixes have been made in Cygwin since 1.7.9 has
>>>>>>>> been released, so we're looking forward to release Cygwin 1.7.10
>>>>>>>> soon.
>>>>>>>>
>>>>>>>> Please test the latest developer snapshots at
>>>>>>>> http://cygwin.com/snapshots/
>>>>>>>> which should have "Release Candidate" quality.
>>>>>>>
>>>>>>>
>>>>>>> Here's an easily reproducible problem with the 2011-12-05
>>>>>>> cygwin1.dll snapshot:
>>>>>>>
>>>>>>> 1. Download cygwin-inst-20111205.tar.bz2 .
>>>>>>>
>>>>>>> 2. Start mintty from the Cygwin Terminal shortcut.
>>>>>>>
>>>>>>> 3. tar -C/ -xf /path/to/cygwin-inst-20111205.tar.bz2
>>>>>>> --exclude=usr/bin/cygwin1.dll
>>>>>>>
>>>>>>> An hourglass appears and tar doesn't run.  I'm on W7-64 if that
>>>>>>> makes a difference.
>>>>>>
>>>>>>
>>>>>> Works for me.  I just tried from mintty with bash as login shell as
>>>>>> well as with tcsh as login shell.  I even left out the --exclude and
>>>>>> it worked ;)
>>>>>>
>>>>>> Does that really occur reproducible on your machine, every try?
>>>>>
>>>>>
>>>>> Yes.  And I just tried twice more with the same behavior.  Earlier
>>>>> today I had a similar thing occur on a different machine, on which
>>>>> the 2011-12-04 dll was installed instead of the 2011-12-05 dll.  On
>>>>> that machine (again W7-64), the mintty window simply disappeared
>>>>> when I gave the tar command.
>>>>
>>>>
>>>> Hmm, that's weird.
>>>>
>>>>> The only other detail I can think of is that I started mintty by
>>>>> right-clicking on the shortcut and choosing "Run as administrator".
>>>>
>>>>
>>>> Still works for me.  That's puzzeling.  Any chance to debug that?
>>>> Stracing, attaching with GDB, building your own debug-enabled Cygwin,
>>>> etc?
>>>
>>>
>>> I ran the tar command under strace.  I'm not good at deciphering strace
>>> output, but you can see it here:
>>>
>>>   http://www.math.cornell.edu/~kbrown/cygwin/strace.out
>>>
>>> A few further observations:
>>>
>>> - As the strace output shows, tar does in fact run, contrary to what I
>>> originally thought; it's just that there's no indication in the terminal
>>> that tar finished.
>>>
>>> - When I finally get tired of waiting and kill mintty (and the
>>> associated bash process) from another terminal, mintty leaves the
>>> following stackdump on the desktop:
>>>
>>> Exception: STATUS_ACCESS_VIOLATION at eip=610CD8B1
>>> eax=0000010C ebx=0028C880 ecx=00000000 edx=0000010C esi=00000000
>>> edi=0028C860
>>> ebp=0028C7C8 esp=0028C790 program=C:\cygwin\bin\mintty.exe, pid 4972,
>>> thread main
>>> cs=0023 ds=002B es=002B fs=0053 gs=002B ss=002B
>>> Stack trace:
>>> Frame     Function  Args
>>> 0028C7C8  610CD8B1  (0000010C, 0028C95C, 0028C880, 0028C860)
>>> 0028C938  610CDC42  (00000002, 0028C95C, 00000000, 00000000)
>>> 20052168  610D1FE5  (00630072, 00000000, 00000018, 00000033)
>>> 200524F0  00000000  (6E776F72, 6D64612D, 2E2F6E69, 746E696D)
>>> End of stack trace
>>>
>>> - Other mintty windows that are open become unusable.  The title bar
>>> shows "not responding".
>>>
>>> Does any of this help?  Should I be stracing mintty rather than tar?
>>
>>
>> Apparently yes.  I can't reproduce this either.  The strace you provided
>> does look perfectly normal.
>
>
> OK.  I started mintty from the Cygwin Terminal shortcut, attached strace to
> it in a second terminal, and ran the tar command in the first terminal.  The
> strace output is at
>
>  http://www.math.cornell.edu/~kbrown/cygwin/strace_mintty.out
>
> Here's one more data point: The problem occurs only in a mintty started from
> the shortcut.  If I start mintty from an existing mintty, I can run the tar
> command without a problem.

In the first case, mintty has explorer.exe as parent.
A case of bad parenting? :)

Dima

>
> Ken
>
>
> --
> Problem reports:       http://cygwin.com/problems.html
> FAQ:                   http://cygwin.com/faq/
> Documentation:         http://cygwin.com/docs.html
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
>

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple